import { aZ as m, aW as s } from "./index-6jcTChn4.js";
import { A as c } from "./AppCard-YGWCah1h.js";
import { u } from "./useIsAppEnabled-i8k_pVtm.js";
import l from "./EventTypeAppSettingsInterface-C7hZr_83.js";
const E = function({ eventType: e, app: t }) {
  var a;
  const { enabled: p, updateEnabled: n } = u(t), { disabled: r, getAppData: o, setAppData: d } = m();
  return /* @__PURE__ */ s.jsx(
    c,
    {
      app: t,
      switchOnClick: (i) => {
        n(i);
      },
      switchChecked: p,
      teamId: ((a = e.team) == null ? void 0 : a.id) || void 0,
      children: /* @__PURE__ */ s.jsx(
        l,
        {
          eventType: e,
          slug: t.slug,
          disabled: r,
          getAppData: o,
          setAppData: d
        }
      )
    }
  );
};
export {
  E as default
};
